For the complete documentation index, see llms.txt. This page is also available as Markdown.

Analytics

Date / Time Handling for Analytics Endpoint

The Get Delivery Analytics endpoint accepts startDate and endDate query parameters to enable precise scoping of the analytics data. Both parameters accept ISO 8601 date/time formats (YYYY-MM-DDThh:mm:ssZ), which enables filtering down to sub-minute time ranges.

calendar-exclamation

Example

The following parameters would return analytics data over the period of one minute between 11:05AM and 11:06 Eastern Time on July 1st, 2026:

  • startDate: 2026-07-01T15:05:00Z

  • endDate: 2026-07-01T15:06:00Z

curl -L \
  --url 'https://api.mobile-text-alerts.com/v3/analytics/delivery?startDate=2026-07-01T15:05:00Z&endDate=2026-07-01T15:06:00Z' \
  --header 'Authorization: Bearer <APIKey>' \
  --header 'Content-Type: application/json'

Get Delivery Analytics

get

Rate Limiting

This endpoint overrides the general rate limit with an account rate limit. Requests are limited by the authenticated account instead of the IP address. This endpoint is limited to 5 requests per minute

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startDatestringRequired
endDatestringRequired
typestring · enumOptionalPossible values:
poolIdstringOptional
sortBystringOptional
sortDirectionstring · enumOptionalPossible values:
Responses
200

Success

application/json
get/analytics/delivery
GET /v3/analytics/delivery?startDate=text&endDate=text HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "totalMessages": 1,
    "deliverability": 1,
    "inflight": 1,
    "rows": [
      {
        "messagingProfile": "text",
        "deliverability": 1,
        "total": 1,
        "delivered": 1,
        "notDelivered": 1,
        "parts": 1,
        "inFlight": 1
      }
    ]
  }
}

Last updated

Was this helpful?